SERVICES_MKDB(8)

NAME
services_mkdb - generate the services database

SYNOPSIS
services_mkdb [-q] [-o database] [file]
services_mkdb -u [file]

DESCRIPTION
The services_mkdb utility creates a db(3) database for the specified file. If no file is specified, then /etc/services is used. The database is installed into /var/db/services.db. The file must be in the correct format (see services(5)).

The options are as follows:

-o database
    Put the output databases in the named file.

-q  Don't warn about duplicate services.

-u  Print the services file to stdout, omitting duplicate entries and comments.

The databases are used by the C library services routines (see getservent(3)).

FILES
/var/db/services.db
    The current services database.
/var/db/services.db.tmp
    A temporary file.
/etc/services
    The current services file.

EXIT STATUS

SEE ALSO
db(3), getservent(3), services(5)

BUGS
Because services_mkdb guarantees not to install a partial destination file it must build a temporary file in the same file system and if successful use rename(2) to install over the destination file.

If services_mkdb fails it will leave the previous version of the destination file intact.